import request from '@/utils/request'

// 查询账号列表
export function listFeishuAccount(query) {
  return request({
    url: '/qw/feishuAccount/list',
    method: 'get',
    params: query
  })
}

// 查询账号详情
export function getFeishuAccount(id) {
  return request({
    url: '/qw/feishuAccount/' + id,
    method: 'get'
  })
}

// 新增账号
export function addFeishuAccount(data) {
  return request({
    url: '/qw/feishuAccount',
    method: 'post',
    data: data
  })
}

// 修改账号
export function updateFeishuAccount(data) {
  return request({
    url: '/qw/feishuAccount',
    method: 'put',
    data: data
  })
}

// 删除账号
export function delFeishuAccount(id) {
  return request({
    url: '/qw/feishuAccount/' + id,
    method: 'delete'
  })
}

// 修改状态
export function changeFeishuAccountStatus(data) {
  return request({
    url: '/qw/feishuAccount/changeStatus',
    method: 'put',
    data: data
  })
}
